<!DOCTYPE html>
<html lang="fr">

<?php
    $title = "Projets";
    include("../include/head.php");
?>

<body>
    <!-- Navbar -->
    <?php
        include("../include/navbar.php")
    ?>

    <!-- Main -->
    <main role="main" class="container">
        <div class="focus-center">
            <h1>
                Projets
            </h1>
            <img src="https://img.icons8.com/color/96/000000/code.png" alt="code flat icon">
            <h2>
                Tous mes projets de programmation
            </h2>
            <p class="lead">
                Voici l'ensemble des projets de programmation auxquels j'ai participé. Certains ont été faits en équipe,
                d'autres seuls, certains sont encore en développement.
            </p>
        </div>

        <h3>
            <img src="https://img.icons8.com/color/48/000000/term.png" alt="term flat icon">
            Présentation
        </h3>
        <p>
            Chaque encart présente le résumé d'un projet. Si vous cliquez sur <code>Voir la page du projet</code>, vous
            arrivez directement sur sa page descriptive complète.
        </p>
        <p>
            N'hésitez pas à revenir consulter cette page plus tard, et revenir régulièrement. J'ai beaucoup de projets déjà
            réalisés qui ne sont pas encore affichés ici, et j'en lancerai bientôt de nouveaux.
        </p>

        <!-- Présentation : En cours -->
        <h3>
            <img src="https://img.icons8.com/color/50/000000/rocket.png" alt="rocket flat icon">
            En cours
        </h3>
        <p>
            Retrouvez ici les projets sur lesquels je passe mon temps actuellement.
        </p>
        <p>
            Je travaille dessus, donc leur avancement évolue. N'hésitez donc pas à consulter régulièrement les pages qui
            leur sont dédiées, j'essaierai de les mettre à jour dès que j'ai du nouveau ...
        </p>

        <!-- Projets en cours -->
        <div class="card-columns">
            <div class="card">
                <img class="card-img-top" src="https://img.icons8.com/color/400/000000/city.png" alt="Jovian site icon">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/rocket.png" alt="rocket flat icon">
                        Jovian Website
                    </h4>
                    <p class="card-text">
                        Mon site Internet : celui sur lequel vous naviguez actuellement.
                    </p>
                    <a href="projets/pro_static_site.php" class="btn btn-success">
                        Voir la page du projet
                    </a>
                </div>
            </div>
        </div>

        <!-- présentation projets présentables -->
        <h3>
            <img src="https://img.icons8.com/color/50/000000/space-shuttle.png" alt="space shuttle flat icon">
            Présentables
        </h3>
        <p>
            Voici ici les projets qui sont <em>présentables</em>. j'entends par présentable tout projet suffisamment avancé
            pour susciter de l'intérêt.
        </p>
        <p>
            Tous ces projets sont sujets à amélioration. Et peut-être prendrai-je le temps un jour de les améliorer, mais le
            temps est une denrée rare ...
        </p>
        <p>
            Ainsi, vous, cher visiteur, avez peut-être plus de temps que moi. Si un projet vous intéresse, n'hésitez pas à
            vous l'approprier !
        </p>
        <p>
            Toi, cher programmeur, tu peux récupérer le code depuis GitHub et me proposer des améliorations.
        </p>
        <p>
            Toi, cher utilisateur, si tu as testé quelques exécutables, n'hésite pas à me contacter pour proposer
            améliorations ou changements.
        </p>
        <p>
            Un projet vit, et c'est en partie grâce à vous !
        </p>

        <!-- Projets présentables -->
        <div class="card-columns">
            <div class="card">
                <img class="card-img-top" src="../include/images/project_icon_ASCII.png"
                     alt="ASCII Space Destroyer image">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/space-shuttle.png" alt="space shuttle flat icon">
                        ASCII Space Destroyer
                    </h4>
                    <p class="card-text">
                        Un jeu de vaisseau spatial dessiné avec des caractères ASCII, où le joueur peut créer son propre
                        vaisseau.
                    </p>
                    <a href="projets/pro_ascii_space.php" class="btn btn-success">
                        Voir la page du projet
                    </a>
                </div>
            </div>
            <div class="card">
                <img class="card-img-top" src="https://img.icons8.com/color/400/000000/code.png" alt="quoridor image">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/space-shuttle.png" alt="space shuttle flat icon">
                        Quoridor
                    </h4>
                    <p class="card-text">
                        Un jeu de plateau retranscrit sur ordinateur, où le joueur peut affronter un ami ou une intelligence
                        articielle.
                    </p>
                    <div title="Développement en cours .. revenez plus tard !">
                        <a href="projets/pro_quoridor.php" class="btn btn-success disabled">
                            Voir la page du projet
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <!-- Présentation projets à venir -->
        <h3>
            <img src="https://img.icons8.com/color/50/000000/blueprint.png" alt="blueprint flat icon">
            À venir
        </h3>
        <p>
            Selon moi, un projet est un mouvement. Il y a une construction en cours, une dynamique qui façonne, de
            l'imagination qui devient création.
        </p>
        <p>
            Mais avant de devenir un projet, il y a une idée.
        </p>
        <p>
            Cette section <em>À venir</em> regroupe donc l'ensemble de mes idées qui n'attendent qu'une chose : suffisamment
            d'investissement pour être réalisées ...
        </p>

        <!-- Projets à venir -->
        <div class="card-columns">
            <div class="card">
                <img class="card-img-top" src="https://img.icons8.com/color/400/000000/code.png" alt="pulsar image">
                <div class="card-body">
                    <h4 class="card-title">
                        <img src="https://img.icons8.com/color/35/000000/blueprint.png" alt="blueprint flat icon">
                        Pulsar
                    </h4>
                    <p class="card-text">
                        Un jeu de vaisseaux spatiaux, où chaque équipe tente de prendre l'ascendant dans un système solaire.
                    </p>
                    <div title="Développement en cours .. revenez plus tard !">
                        <a href="projets/pro_pulsar.php" class="btn btn-success disabled">
                            Voir la page du projet
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <!-- Présentation projets terminés -->
        <h3>
            <img src="https://img.icons8.com/color/48/000000/uranus-planet.png" alt="planet flat icon">
            Terminés
        </h3>
        <p>
            J'estime que cette section sera vide pour un bon moment. En effet, un projet n'est pas un produit. C'est un
            mouvement. Tout ce que je fais est améliorable ...
        </p>
        <p>
            Pensez au feu. Ce n'est pas de la matière : c'est un phénomène. Une flamme est belle quand elle est au
            mouvement, avec sa chaleur, sa vie et sa fulgurance ...
        </p>
        <p>
            Voilà, c'est tout pour la réflexion philosophique ...
        </p>
    </main>

    <!-- Footer -->
    <footer class="footer bg-dark mt-5">
        <div class="container">
            <span class="text-muted">Images sources : ICON8</span>
            <a href="https://icons8.com/icon/104082/cv">CV icon by Icons8</a>
            <a href="https://icons8.com/icon/104084/city">City icon by Icons8</a>
            <a href="https://icons8.com/icon/19293/code">Code icon by Icons8</a>
            <a href="https://icons8.com/icon/15175/rocket">Rocket icon by Icons8</a>
            <a href="https://icons8.com/icon/21447/space-shuttle">Space Shuttle icon by Icons8</a>
            <a href="https://icons8.com/icon/23885/blueprint">Blueprint icon by Icons8</a>
            <a href="https://icons8.com/icon/62040/uranus-planet">Uranus Planet icon by Icons8</a>
        </div>
    </footer>

    <!-- Scripts -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="../include/js/bootstrap.js"></script>

</body>
</html>
